from pydantic import BaseModel

""" 获取任务状态响应结构 """


class AnalyzeStatusData(BaseModel):
    taskId: str
    status: str
    progress: int
    message: str


class AnalyzeStatus(BaseModel):
    success: bool
    data: AnalyzeStatusData
